package com.dsic.gj_erp.bean.jhgk.excel;

import cn.hutool.core.util.StrUtil;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * JhxfExcel:
 *
 * @author xhj
 * @date 2024/10/09
 */
@Data
public class JhxfExcel {


    @ExcelProperty("产品")
    private String dcCh;

    @ExcelProperty("批量")
    private String dcPl;

    @ExcelProperty("分段")
    private String dcFd;




    @ApiModelProperty(value = "板数")
    @ExcelProperty("板数")
    private String bs1;

    @ApiModelProperty(value = "上料")
    @ExcelProperty("上料")
    @DateTimeFormat("yyyy/MM/dd")
    private String sl;

    @ApiModelProperty(value = "型材抛丸")
    @ExcelProperty("型材抛丸")
    @DateTimeFormat("yyyy/MM/dd")
    private String xcpw;

    @ApiModelProperty(value = "抛丸")
    @ExcelProperty("抛丸")
    @DateTimeFormat("yyyy/MM/dd")
    private String pw;

    @ApiModelProperty(value = "一垮龙门板数")
    @ExcelProperty("一垮龙门板数")
    private String yklm;

    @ApiModelProperty(value = "一垮数控板数")
    @ExcelProperty("一垮数控板数")
    private String yksk;

    @ExcelProperty("大板切割开始")
    @DateTimeFormat("yyyy/MM/dd")
    private String dbqgks;

    @ApiModelProperty(value = "坡口切割结束")
    @ExcelProperty("坡口切割结束")
    @DateTimeFormat("yyyy/MM/dd")
    private String ykpkjs;

    @ExcelProperty("二垮龙门板数")
    private String eklmbs;

    @ExcelProperty("龙门切割开始")
    @DateTimeFormat("yyyy/MM/dd")
    private String lmqgks;

    @ExcelProperty("龙门切割结束")
    @DateTimeFormat("yyyy/MM/dd")
    private String lmqgjs;





    @ApiModelProperty(value = "二垮数控板数")
    @ExcelProperty("二垮数控板数")
    private String eksk;





    @ApiModelProperty(value = "数控切割开始")
    @ExcelProperty(value ="数控切割开始",index=16)
    @DateTimeFormat("yyyy/MM/dd")
    private String ekskks;

    @ApiModelProperty(value = "坡口切割结束")
    @ExcelProperty(value ="坡口切割结束",index=17)
    @DateTimeFormat("yyyy/MM/dd")
    private String ekpkjs;

    @ApiModelProperty(value = "三垮数控板数")
    @ExcelProperty("三垮数控板数")
    private String sksk;

    @ApiModelProperty(value = "数控切割开始")
    @ExcelProperty(value ="数控切割开始",index=19)
    @DateTimeFormat("yyyy/MM/dd")
    private String skskqgks;

    @ApiModelProperty(value = "坡口切割结束")
    @ExcelProperty(value ="坡口切割结束",index=20)
    @DateTimeFormat("yyyy/MM/dd")
    private String skpkjs;

    @ApiModelProperty(value = "三垮平铁板数")
    @ExcelProperty("三垮平铁板数")
    private String skpt;

    @ApiModelProperty(value = "平铁切割开始")
    @ExcelProperty("平铁切割开始")
    @DateTimeFormat("yyyy/MM/dd")
    private String ptks;

    @ApiModelProperty(value = "平铁切割结束")
    @ExcelProperty("平铁切割结束")
    @DateTimeFormat("yyyy/MM/dd")
    private String ptjs;

    @ApiModelProperty(value = "曲平铁转结束")
    @ExcelProperty("曲平铁转结束")
    @DateTimeFormat("yyyy/MM/dd")
    private String qpt_zjs;

    @ApiModelProperty(value = "曲平铁结束")
    @ExcelProperty("曲平铁结束")
    @DateTimeFormat("yyyy/MM/dd")
    private String qptjs;

    @ApiModelProperty(value = "曲外板结束")
    @ExcelProperty("曲外板结束")
    @DateTimeFormat("yyyy/MM/dd")
    private String qwbjs;

    @ApiModelProperty(value = "组立")
    @ExcelProperty("组立")
    private String zl;


    @ApiModelProperty(value = "腹板板数")
    @ExcelProperty("腹板板数")
    private String fbbs;

    @ApiModelProperty(value = "腹板切割开始")
    @ExcelProperty("腹板切割开始")
    @DateTimeFormat("yyyy/MM/dd")
    private String fbqgks;

    @ApiModelProperty(value = "腹板切割结束")
    @ExcelProperty("腹板切割结束")
    @DateTimeFormat("yyyy/MM/dd")
    private String fbqgjs;


    @ApiModelProperty(value = "数控板数")
    @ExcelProperty("数控板数")

    private String skbs;

    @ApiModelProperty(value = "数控切割开始")
    @ExcelProperty(value = "数控切割开始",index = 32)
    @DateTimeFormat("yyyy/MM/dd")
    private String skqgks;







    @ApiModelProperty(value = "坡口切割结束")
    @ExcelProperty(value = "坡口切割结束",index = 33)
    @DateTimeFormat("yyyy/MM/dd")
    private String pkqgjs;


    @ApiModelProperty(value = "面板挤边")
    @ExcelProperty("面板挤边")
    @DateTimeFormat("yyyy/MM/dd")
    private String mbjb;
    @ApiModelProperty(value = "七垮型材米数")
    @ExcelProperty("七垮型材米数")
    private String qkxcms;
    @ApiModelProperty(value = "型材面板")
    @ExcelProperty("型材面板")
    @DateTimeFormat("yyyy/MM/dd")
    private String xcmb;
    @ApiModelProperty(value = "分段需求/小组配送结束")
    @ExcelProperty("小组配送结束")
    @DateTimeFormat("yyyy/MM/dd")
    private String fdxq;
    @ApiModelProperty(value = "光电结束")
    @ExcelProperty("光电结束")
    @DateTimeFormat("yyyy/MM/dd")
    private String gdjs;
    @ApiModelProperty(value = "备注")
    @ExcelProperty("备注")
    private String bz;

    private Boolean qwbBs=false;

    public boolean isAvailable(){
        return !StrUtil.isAllBlank(this.sl,this.xcpw,this.pw,this.dbqgks,this.ykpkjs,this.lmqgks,this.lmqgjs,
                this.ekskks,this.ekpkjs,this.skskqgks,this.skpkjs,this.ptks,this.ptjs,this.qpt_zjs,this.qptjs,
                this.qwbjs,this.fbqgks,this.fbqgjs,this.skqgks,this.pkqgjs,this.mbjb,this.xcmb,this.fdxq,this.gdjs);
    }
}
